/* Foreground Street Foundation */
.foreground-container {
    position: absolute;
    width: 1700px;
    height: 150px;
    top: 350px;
    left: 0;
    background: #33312b;
    filter: blur(1px);
    animation: foreground 1s linear infinite;
}

/* Street Sideline */
.street-sideline {
    position: absolute;
    width: 1700px;
    height: 20px;
    top: 120px;
    left: 0;
    background: white;
}

/* Street Middle Line */
.street-middle-line {
    position: absolute;
    width: 1700px;
    height: 10px;
    top: 35px;
    left: 0;
    background: repeating-linear-gradient(
            to right,
            #33312b 5% 15%,
            white 15% 20%
    );
}

@keyframes foreground {
    from {
        left: 0;
    }
    to {
        left: -51%;
    }
}

/* Car */
.car-container {
    position: absolute;
    width: 250px;
    height: 250px;
    top: 10px;
    left: 10px;
    animation: car-body 1s linear infinite;
}

@keyframes car-body {
    from {
        transform: translateY(0);
    }
    50% {
        transform: translateY(3px);
    }
    to {
        transform: translateY(0);
    }
}

.car-roof {
    position: absolute;
    width: 198px;
    height: 137px;
    top: 224px;
    left: 118px;
    background: black;
    clip-path: path("M 5 146 C 0 -24 196 -49 229 146 Z");
}

.car-roof::before {
    content: "";
    position: absolute;
    width: 198px;
    height: 135px;
    top: 0px;
    left: 0px;
    background: var(--color_blue);
    clip-path: path("M 7 146 C 3 -23 193 -46 228 146 Z");
}

.car-body {
    position: absolute;
    width: 195px;
    height: 77px;
    top: 280px;
    left: 165px;
    background: var(--color_blue);
    border-radius: 0px 45px 5px 0px;
    border: 2px solid black;
    border-left: transparent;
}

.window {
    position: absolute;
    width: 119px;
    height: 33px;
    top: 245px;
    left: 165px;
    background: white;
    border: 2px solid black;
    border-radius: 35px 35px 0px 0px;
}

.window::before {
    content: "";
    position: absolute;
    width: 2px;
    height: 33px;
    top: 0px;
    left: 40px;
    background: transparent;
    border-left: 2px solid black;
}

.head-light {
    position: absolute;
    width: 18px;
    height: 5px;
    top: 297px;
    left: 329px;
    background: white;
    border-radius: 5px;
    border: 2px solid black;
}

.fog-light {
    position: absolute;
    width: 6px;
    height: 5px;
    top: 341px;
    left: 348px;
    background: white;
    border-radius: 5px 0px 0px 5px;
    border: 2px solid black;
}

.design-line {
    position: absolute;
    width: 86px;
    height: 2px;
    top: 329px;
    left: 200px;
    background: white;
    border-radius: 5px 0px 0px 5px;
    border: 1px solid black;
}

.design-line::before {
    content: "";
    position: absolute;
    width: 86px;
    height: 2px;
    top: 5px;
    left: 25px;
    background: white;
    border-radius: 5px 0px 0px 5px;
    border: 1px solid black;
}

.design-line::after {
    content: "";
    position: absolute;
    width: 86px;
    height: 2px;
    top: 11px;
    left: 40px;
    background: white;
    border-radius: 5px 0px 0px 5px;
    border: 1px solid black;
}

.front-tire {
    position: absolute;
    width: 39px;
    height: 39px;
    top: 330px;
    left: 290px;
    background: white;
    border: 7px solid black;
    border-radius: 50%;
    animation: tire-animation 0.5s linear infinite;
}

.front-tire::before {
    content: "";
    position: absolute;
    width: 9px;
    height: 9px;
    top: 8px;
    left: 8px;
    border: 7px solid gray;
    border-radius: 50%;
}

.front-tire::after {
    content: "";
    position: absolute;
    width: 28px;
    height: 28px;
    top: 3px;
    left: 3px;
    border: 2px solid transparent;
    border-left: 2px solid black;
    border-right: 2px solid black;
    border-radius: 50%;
    filter: blur(2px);
}

@keyframes tire-animation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(350deg);
    }
}

.back-tire {
    position: absolute;
    width: 39px;
    height: 39px;
    top: 330px;
    left: 155px;
    background: white;
    border: 7px solid black;
    border-radius: 50%;
    animation: tire-animation 0.5s linear infinite;
}

.back-tire::before {
    content: "";
    position: absolute;
    width: 9px;
    height: 9px;
    top: 8px;
    left: 8px;
    border: 7px solid gray;
    border-radius: 50%;
}

.back-tire::after {
    content: "";
    position: absolute;
    width: 28px;
    height: 28px;
    top: 3px;
    left: 3px;
    border: 2px solid transparent;
    border-left: 2px solid black;
    border-right: 2px solid black;
    border-radius: 50%;
    filter: blur(2px);
}

.door-knob {
    position: absolute;
    width: 4px;
    height: 10px;
    top: 289px;
    left: 208px;
    background: white;
    border-radius: 2px 0px 0px 2px;
    border: 1px solid black;
}

.tail-light {
    position: absolute;
    width: 13px;
    height: 5px;
    top: 314px;
    left: 129px;
    background: white;
    border-radius: 3px 3px 3px 0px;
    border: 2px solid black;
}

#car_anim {
    display: flex;
    position: absolute;
    margin: 0;
    padding: 0;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    z-index: 2000;
    background-color: transparent;
    width: 100%;
    height: 100%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
    border: none;
}
#car_anim::backdrop
{
    background-color: rgba(0,0,0, 0.9);
}
/* Set background and border color */
.container {
    min-width: 500px;
    height: 500px;
    border-bottom: 5px solid lightgray;
    background: transparent;
    position: relative;
    margin: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}